//+------------------------------------------------------------------+
//|                                                                  |
//|                                               MathMod_Test.mq4   |
//|                                                  21st Feb 2013   |
//|                                                                  |
//|                                                  First version   |
//|                                                                  |
//| ---------------------------------------------------------------- |
//|                                                                  |
//|                                                                  |
//|                                                                  |
//|                                                                  |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright        "Copyright  2012, RaptorUK"
#property link             ""
#define VERSION            "1.0"
#define INDICATOR_NAME     "MathMod_Test"

#property show_inputs


extern double g_a = 1.25500;
  
extern double g_b = 0.0005;

// #property indicator_chart_window   //  comment out to make an EA or Script


//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
   {
   
      
   return(0);
   }
   
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
   {
   
   return(0);
   }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
   {
//   double a, b;
   
//   a = 1.25500;
//   b = 0.0005;
   
   Print("MathModCorrect for a ", ToStr(g_a), " and b ", ToStr(g_b), " is ", ToStr(MathModCorrect(g_a, g_b)) );

   return(0);
   }
//+------------------------------------------------------------------+


//+--------------------------------------------------------------------------------+
//| ToStr function - calls DoubleToString (double, Digits) and returns the string  |
//+--------------------------------------------------------------------------------+
string ToStr(double ValueToString)
   {
   return (DoubleToStr(ValueToString, Digits));
   }

//+--------------------------------------------------------------------------------+

double MathModCorrect(double a, double b)
   { 
   double Power = MathPow(10, Digits);
   double RoundUp = 4.9 / (Power * 10);
   
   a = MathRound( Power * ( a + RoundUp ) ) ;
   b = MathRound( Power * ( b + RoundUp ) ) ;
   
   int tmpres = a / b;
   
   return( (a - tmpres * b) / Power );
   } 

//+-----------------------------------------------------------------------------------+  


